ClarisWksTextInternal::ParagraphPLC Struct Reference

## Public Member Functions
| ParagraphPLC ()

## Public Attributes
int | m_rulerId
| the ruler id
int | m_styleId
| the style id ( via the style lookup table )
int | m_flags
| some flags
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ParagraphPLC const &info)

## Constructor & Destructor Documentation

## ◆ ParagraphPLC()

ClarisWksTextInternal::ParagraphPLC::ParagraphPLC | ( |  | ) |
| inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ParagraphPLC const & | info )
| friend

## Member Data Documentation

## ◆ m_extra

std::string ClarisWksTextInternal::ParagraphPLC::m_extra

extra data

Referenced by operator<<, and ParagraphPLC().

## ◆ m_flags

int ClarisWksTextInternal::ParagraphPLC::m_flags

some flags

Referenced by operator<<, ParagraphPLC(), and ClarisWksText::readParagraphs().

## ◆ m_rulerId

int ClarisWksTextInternal::ParagraphPLC::m_rulerId

the ruler id

Referenced by ClarisWksText::findListId(), operator<<, ParagraphPLC(), and ClarisWksText::readParagraphs().

## ◆ m_styleId

int ClarisWksTextInternal::ParagraphPLC::m_styleId

the style id ( via the style lookup table )

Referenced by operator<<, ParagraphPLC(), and ClarisWksText::readParagraphs().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx